<script setup>
import { UpdatePage } from '@/app/core/pages/crud';
import model from '@/modules/product/models/variation';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Buttons from '@/app/components/crud/form/_Buttons.vue';
import Item from '@/app/components/crud/http/Item.vue';
</script>

<script>
export default {
    props: {
        product: {
            type: Object,
            required: true,
        },
    },
    data() {
        return new UpdatePage({
            context: this,
            title: this.__('Редактирование'),
            titleField: 'name',
            breadcrumbs: [
                {
                    label: this.__('Продукты'),
                    path: 'product/product',
                },
                {
                    label: this.__('Вариации продукта: :product', {
                        product: this.product.model_number,
                    }),
                    path: 'product/variation/' + this.product.id,
                },
            ],
            model: model,
            http: {
                method: 'PATCH',
                path: 'product/variation/:id',
                query: {
                    'with[1]': 'options',
                },
            },
            redirectPath: 'product/variation/' + this.product.id,
        });
    },
};
</script>

<template>
    <PageTitle :text="title">
        <Buttons />
    </PageTitle>

    <Item child="form" />
</template>
